/******/ // The require scope
/******/ var __wp_require__ = {};
/******/ 
/************************************************************************/
/******/ /* webpack/runtime/define property getters */
/******/ (() => {
/******/ 	// define getter functions for harmony exports
/******/ 	__wp_require__.d = (exports, definition) => {
/******/ 		for(var key in definition) {
/******/ 			if(__wp_require__.o(definition, key) && !__wp_require__.o(exports, key)) {
/******/ 				Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 			}
/******/ 		}
/******/ 	};
/******/ })();
/******/ 
/******/ /* webpack/runtime/hasOwnProperty shorthand */
/******/ (() => {
/******/ 	__wp_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ })();
/******/ 
/************************************************************************/
var __wp_exports__ = {};

// EXPORTS
__wp_require__.d(__wp_exports__, {
  "Z": () => (/* binding */ HfcSvgIcon)
});

;// CONCATENATED MODULE: ./.hfc/propnames.js
/* harmony default export */ const propnames = ([["size","class"],[],[]]);

;// CONCATENATED MODULE: ./src/index.ts

const svgAttrs = [["width","24"],["height","24"],["viewBox","0 0 24 24"],["xmlns","http://www.w3.org/2000/svg"],["class","fluentui-icon-arrow-clockwise-dashes-filled"]];
const svgHtml = "<path d=\"M12 2.75c-.66 0-1.3.07-1.92.2a1 1 0 10.41 1.96 7.28 7.28 0 013.02 0 1 1 0 10.41-1.96 9.28 9.28 0 00-1.92-.2zm5.75 2v-.5a1 1 0 112 0v3a1 1 0 01-1 1h-3a1 1 0 110-2h.67c-.15-.12-.31-.23-.47-.33a1 1 0 111.09-1.68c.24.16.48.33.71.51zm-9.4-.22a1 1 0 00-1.39-.29 9.3 9.3 0 00-2.72 2.72 1 1 0 001.68 1.1 7.3 7.3 0 012.13-2.14 1 1 0 00.3-1.39zM4.13 9.31a1 1 0 00-1.19.77 9.28 9.28 0 000 3.84 1 1 0 101.96-.41 7.28 7.28 0 010-3.02 1 1 0 00-.77-1.18zm16.11.94a1 1 0 00-1 1V12c0 .52-.05 1.02-.16 1.5a1 1 0 101.96.42c.13-.62.2-1.26.2-1.92v-.75a1 1 0 00-1-1zm-.78 5.4a1 1 0 00-1.39.3 7.3 7.3 0 01-2.13 2.13 1 1 0 001.09 1.68 9.3 9.3 0 002.72-2.72 1 1 0 00-.3-1.38zm-13.55.3a1 1 0 00-1.68 1.09 9.3 9.3 0 002.72 2.72 1 1 0 101.1-1.68 7.3 7.3 0 01-2.14-2.13zm4.57 3.14a1 1 0 10-.41 1.96 9.28 9.28 0 003.84 0 1 1 0 10-.41-1.96 7.29 7.29 0 01-3.02 0z\"></path>";
class HfcSvgIcon {
    constructor(container, props) {
        this.container = container;
        for (let i = 0; i < svgAttrs.length; i++) {
            container.setAttribute(svgAttrs[i][0], svgAttrs[i][1]);
        }
        this.render(props);
        container.innerHTML = svgHtml;
    }
    changed(props) {
        this.render(props);
    }
    disconnected() { }
    render(props) {
        if (props.attrs.size) {
            this.container.setAttribute("width", props.attrs.size);
            this.container.setAttribute("height", props.attrs.size);
        }
        if (props.attrs.class) {
            this.container.setAttributeNS(null, "class", props.attrs.class);
        }
        bindToElement(this.container, props.others);
    }
}
HfcSvgIcon.tag = "svg";
HfcSvgIcon.props = propnames;
function bindToElement(elem, obj) {
    for (let i = 0, keys = Object.keys(obj); i < keys.length; i++) {
        const key = keys[i];
        const value = obj[key];
        if (key === "style") {
            if (typeof value === "object") {
                Object.assign(elem.style, value);
            }
            else {
                elem.style.cssText += value;
            }
            continue;
        }
        if (typeof value === "function") {
            elem[key] = function (event) {
                value(event);
            };
        }
        else {
            elem.setAttribute(key, value);
        }
    }
}

var __wp_exports__default = __wp_exports__.Z;
export { __wp_exports__default as default };
